/* The standard CSS for doxygen */

html, body{
	font-family: 'Roboto', sans-serif;
  font-weight: 300;
  color: #444;
}

.mdl-layout__header-row {
  padding-left: 10px;
}

.mdl-layout-title {
  font-weight: 300;
  font-size: 1.8em;
  padding-left: 20px;
}


#side-nav {
  display:inline-block;
  width: 250px;
  min-width: 250px;
  min-height: 100%;
  height: 100%;
  z-index:200;
  background-color: #ffffff;
  color: #424242;
  padding-top: 10px;
  padding-left: 10px;
}

#doc-content {
  width: calc(100% - 350px);
  flex-direction: column;
  padding-left: 40px;
  padding-right: 40px;
  background-color: #ffffff;
}

.main-content {
  display: flex;
}

#nav-tree-contents  ul {
  padding-left: 5px;
}

a {
  color: #1565c0;
  font-weight: normal;
}

a:hover {
  color: #f57c00;
}

#nav-tree-contents a {
  color: #1565c0;
  font-weight: normal;
}

#nav-tree-contents a:hover {
  color: #f57c00;
}

.children_ul {
  padding-left: 10px;
}

blockquote {
  margin-left: 24px;
  line-height: 24px;
  margin-bottom: 24px;
  font-size: 1em;
  font-style: normal;
}

blockquote::before {
  content: ""
}
blockquote::after {
  content: ""
}

header h1 {
  font-weight: 300;
  margin-top: 4px;
  margin-bottom: 4px;
}

header h2 {
  font-weight: 300;
  margin-bottom: 4px;
  margin-top: 0px;
  line-height: 20px!important;
}

h1, h2, h3 {
  font-weight: 400!important;
  color: #333;
}

h1 {
  font-size: 1.8em;
}
h2 {
  font-size: 1.6em;
}
h3 {
  font-size: 1.3em;
}



header .version {
  color: #333;
  padding-top: 0px;
  font-weight: 300;
  font-size: 1.2em;
}

a {
  text-decoration: none;
}

.ign-navigation {
    flex-grow: 1;
}

header {
 text-align: center;
 padding: 10px;
 padding-bottom: 0px;
}



.ign-navigation .mdl-navigation__link {
  display: flex !important;
  flex-direction: row;
  align-items: center;
  color: rgba(255, 255, 255, 0.56);
  font-weight: 500;
  text-decoration: none;
}

.ign-navigation .mdl-navigation__link:hover {
  background-color: #00BCD4;
  color: #37474F;
}

.ign-navigation .mdl-navigation__link .material-icons {
  font-size: 24px;
  color: rgba(255, 255, 255, 0.56);
  margin-right: 32px;
}

/* Doxygen generated CSS */
div.header
{
  background-image: none;
  padding: 20px 0px;
}

div.headertitle
{
  padding-top: 0px;
	padding-right: 0px;
  font-weight: 300;
  font-size: 1.8em;
}
div.title
{
  padding-top: 10px;
  font-size: 1.8em;
  font-weight: 400;
  color: #424242;
}

div.contents {
  padding: 0px;
  /* width: 100%;*/
  /*
  padding-left: 20px;
  padding-right: 20px;
  padding-top: 0px;
  */
}

.navpath {
  background-color: #eeeeee;
}

.navpath ul
{
	list-style-type:none;
	font-size: 11px;
	height:30px;
	line-height:30px;
	color:#8AA0CC;
  margin: 0;
}

.navpath li
{
  float: left;
  display: inline;
	color:#364D7C;
}

.navpath li:after
{
  content: ">";
  display: inline;
	padding-left: 10px;
	padding-right: 10px;
}
.navpath li:last-child:after
{
  content: "";
}

.navpath a
{
	height:32px;
	display:inline;
	text-decoration: none;
	outline: none;
}

.navpath a:hover
{
	color:#6884BD;
}

div.summary
{
	float: right;
	font-size: 8pt;
	padding-right: 5px;
	width: 50%;
	text-align: right;
}

div.summary a
{
	white-space: nowrap;
  border: 1px solid #eeeeee;
  padding: 10px;
}

div.summary a:hover
{
  border: 1px solid #ff7043;
}

h2.groupheader:first-of-type {
  margin-top: 0px;
}

h2.groupheader {
  margin-top: 40px;
}

/* @group Member Descriptions */
table.memberdecls {
	border-spacing: 0px;
	padding: 0px;
  font-size: 14px;
}

tr:hover .memItemLeft{
  border-right: 1px solid #ff7043;
}


.memItemLeft {
  margin-right: 10px;
  padding: 10px;
  border-right: 1px solid #eeeeee;
  width: 25%;
}

.memItemRight {
  padding: 10px;
}

.mdescLeft, .mdescRight {
	padding: 0px 8px 0px 20px;
	color: #555;
  font-size: 12px;
  color: #939393;
}

.mdescRight > a {
  color: #939393;
}

.memitem {
  border: 1px solid #bdbdbd;
  margin: 20px;
}

.memproto {
  background-color: #eeeeee;
  padding: 20px;
}

.memdoc {
  padding: 20px;
}

.mlabels-right {
  text-align: right;
}

.memname {
  font-weight: 600;
}
.paramtype {
  font-weight: normal;
}
.paramname {
  font-weight: 600;
}
.mlabel {
  padding: 4px;
  margin-right: 10px;
  background-color: #757575;
  color: #ffffff;
  border-radius: 4px;
  font-size: 12px;
}

.title .mlabel {
  float: right;
}

table.mlabels {
  width: 100%;
}

/* @end */

/* @group Code Colorization */

.fragment {
	font-family: monospace, fixed;
	font-size: 90%;
  border: 1px solid #bdbdbd;
	padding: 4px 6px;
	margin: 4px 8px 4px 2px;
  overflow-x:auto;
}

pre.fragment {
	border: 1px solid #C4CFE5;
	background-color: #FBFCFD;
	padding: 4px 6px;
	margin: 4px 8px 4px 2px;
	overflow: auto;
	word-wrap: break-word;
	font-size:  9pt;
	line-height: 125%;
}

a.code {
	color: #4665A2;
}

a.codeRef {
	color: #4665A2;
}

span.keyword {
	color: #008000
}

span.keywordtype {
	color: #604020
}

span.keywordflow {
	color: #e08000
}

span.comment {
	color: #800000
}

span.preprocessor {
	color: #806020
}

span.stringliteral {
	color: #002080
}

span.charliteral {
	color: #008080
}

span.vhdldigit { 
	color: #ff00ff 
}

span.vhdlchar { 
	color: #000000 
}

span.vhdlkeyword { 
	color: #700070 
}

span.vhdllogic { 
	color: #ff0000 
}

.line {
  min-height: 1em;
  white-space: pre;
}

/* @end */

div.qindex {
  background-color: #eeeeee;
  padding: 10px;
}

table.classindex {
  margin: 20px;
  font-size: 12px;
}

a.el {
  font-weight: 400;
}

div.ah {
  font-size: 16px;
	font-weight: 300;
  border: 1px solid #bdbdbd;
  padding: 10px;
}

table.classindex tr td a:first-of-type {
  font-weight: bold;
  font-size: 14px;
}

.levels {
  text-align: right;
}

.levels > span {
  border: 1px solid #bdbdbd;
  padding: 4px;
  margin-left: 10px;
  margin-right: 2px;
}

.levels > span:hover {
  border: 1px solid  #ff7043;
  cursor: pointer;
}

.icona {
  font-size: 12px;
  padding: 4px;
  background-color: #757575;
  color: #fff;
  margin-right: 10px;
  margin-left: 10px;
  border-radius: 4px;
}

.arrow {
  width: 16px!important;
  height: 22px;
  display: inline-block;
  user-select: none;
  cursor: pointer;
}

table.directory {
  margin-top: 20px;
  width: 100%;
}

table.directory tr td {
  padding: 10px;
}

.even {
  background-color: #eee;
}

td.entry {
  white-space: nowrap;
  padding-right: 6px;
  padding-top: 3px;
  width: 25%;
}

td.desc {
  font-weight: 300;
}

.inherit {
  background-color: #eee;
}

.inherit_header {
        font-weight: bold;
        color: gray;
        cursor: pointer;
	-webkit-touch-callout: none;
	-webkit-user-select: none;
	-khtml-user-select: none;
	-moz-user-select: none;
	-ms-user-select: none;
	user-select: none;
}

.inherit_header td {
        padding: 6px 0px 2px 5px;
}

.inherit {
        display: none;
}
